#!/usr/bin/ruby
#
# ricatest.rb
#   -- rica sample code
#   NISHI Takao <zophos@koka-in.org>
#
# $Id: ricatest.rb,v 1.3 2001/02/26 10:29:52 zophos Exp $
#
require 'rica_utils'

class IrcPrintMessage<Rica
    def initialize
	super()
    end

    def update(msg)
	case msg.command
	when LINK_ESTABLISHED
	    printf msg.string("%T %s Link Established\n")
	when LINK_FAILED
	    printf("%T %s Link Failed\n")
	when LINK_CLOSED
	    printf("%T %s Link Closed\n")

	when RECV_RPL_ENDOFMOTD
	    print msg.string("%T %t@%s:%f %C %a\n")
	    
	    case msg.server
	    when "emmie"
		cmnd_join(msg.server,"#rica")
	    when "irc.huie.hokudai.ac.jp"
		cmnd_join(msg.server,"#Dadd9")
	    end
	    
	when RECV_CMND_PING,RECV_CMND_PONG
	    #
	    # NOP
	    # 
	    # Sometime, IRCnet's server provides 'PONG' message.
	    # Why?
	    #
	    
	when RECV_CMND_PRIVMSG,RECV_CMND_NOTICE
	    
	    if(msg.isSelfMessage?)
		if(msg.isPriv?)
		    print msg.string("%T >%t@%s< %a\n")
		else
		    print msg.string("%T >%t:%f@%s< %a\n")
		end
	    else
		if(msg.isPriv?)
		    print msg.string("%T =%f@%s= %a\n")
		else
		    print msg.string("%T <%t:%f@%s> %a\n")
		end
	    end
	    
	else
	    print msg.string("%T %t:%f@%s %C %a\n")
	end
	
    end
end

irc=IrcPrintMessage.new
irc.open("emmie",["rica","Ruby Irc Core Agents"],"rica")
irc.open("irc.huie.hokudai.ac.jp","rica","rica")
#irc.open(["host",6667,"passwd"],["loginname","Real Name"],"nick")

ctcp=IrcCtcpResponcer.new

irc.thread.join
irc.closeAll
